| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2461.cpp File Reference
Analog-to-Digital Converters (ADC) » LTC2461: 16-Bit I2C Delta Sigma ADCs with 10ppm/C Max Precision Reference

Library for LTC2461: 16-Bit I2C Delta Sigma ADCs with 10ppm/C Max Precision Reference. More...

## Detailed Description

Library for LTC2461: 16-Bit I2C Delta Sigma ADCs with 10ppm/C Max Precision Reference.

Definition in file LTC2461.cpp.

Go to the source code of this file.

## Functions
int8_t | LTC2461_read (uint8_t i2c_address, uint8_t adc_command, uint16_t *adc_code)
| Reads the ADC and returns 16-bit data. More...
int8_t | LTC2461_command (uint8_t i2c_address, uint8_t adc_command)
| Write a 16-bit command to the ADC. More...
float | LTC2461_code_to_voltage (uint16_t adc_code, float LTC2461_lsb, int32_t LTC2461_offset_code)
| Calculates the LTC2309 input unipolar voltage. More...
void | LTC2461_cal_voltage (uint16_t zero_code, uint16_t fs_code, float zero_voltage, float fs_voltage, float *LTC2461_lsb, int32_t *LTC2461_offset_code)
| Calibrate the lsb. More...

## Function Documentation

## ◆ LTC2461_cal_voltage()

void LTC2461_cal_voltage | ( | uint16_t | zero_code,
|  | uint16_t | fs_code,
|  | float | zero_voltage,
|  | float | fs_voltage,
|  | float * | LTC2461_lsb,
|  | int32_t * | LTC2461_offset_code
| ) |  |

Calibrate the lsb.

Returns
  Void

Parameters

  zero_code | Code from zero reading
  fs_code | Full-scale code
  zero_voltage | Measured zero voltage
  fs_voltage | Measured full-scale voltage
  LTC2461_lsb | Return LSB value (volts)
  LTC2461_offset_code | Return Offset code

Definition at line 111 of file LTC2461.cpp.

## ◆ LTC2461_code_to_voltage()

float LTC2461_code_to_voltage | ( | uint16_t | adc_code,
|  | float | LTC2461_lsb,
|  | int32_t | LTC2461_offset_code
| ) |  |

Calculates the LTC2309 input unipolar voltage.

Returns
  Floating point voltage

Parameters

  adc_code | Raw ADC code
  LTC2461_lsb | LSB value (volts)
  LTC2461_offset_code | Offset code

Definition at line 103 of file LTC2461.cpp.

## ◆ LTC2461_command()

int8_t LTC2461_command | ( | uint8_t | i2c_address,
|  | uint8_t | adc_command
| ) |  |

Write a 16-bit command to the ADC.

Derived from 2655.

Returns
  Returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  i2c_address | I2C address of the LTC2461.
  adc_command | ADC command to be written to the LTC2461.

Definition at line 93 of file LTC2461.cpp.

## ◆ LTC2461_read()

int8_t LTC2461_read | ( | uint8_t | i2c_address,
|  | uint8_t | adc_command,
|  | uint16_t * | adc_code
| ) |  |

Reads the ADC and returns 16-bit data.

Returns
  Returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  i2c_address | I2C address of the LTC2461.
  adc_command | ADC command to be written to the LTC2461.
  adc_code | Returns code read from ADC.

Definition at line 82 of file LTC2461.cpp.